Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassOntologicalMember1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassOntologicalMember1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassOntologicalMember1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Ontological Member1', and utility methods for working with them.

See Also:
  `CDAR2Package.getRoleClassOntologicalMember1()`

Field Summary
`static int` | `INST` The 'INST' literal value.
`static RoleClassOntologicalMember1` | `INST_LITERAL` The 'INST' literal object.
`static int` | `SUBS` The 'SUBS' literal value.
`static RoleClassOntologicalMember1` | `SUBS_LITERAL` The 'SUBS' literal object.
`static int` | `SUBY` The 'SUBY' literal value.
`static RoleClassOntologicalMember1` | `SUBY_LITERAL` The 'SUBY' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Ontological Member1' enumerators.

Method Summary
`static RoleClassOntologicalMember1` | `get(int value)` Returns the 'Role Class Ontological Member1' literal with the specified integer value.
`static RoleClassOntologicalMember1` | `get(java.lang.String literal)` Returns the 'Role Class Ontological Member1' literal with the specified literal value.
`static RoleClassOntologicalMember1` | `getByName(java.lang.String name)` Returns the 'Role Class Ontological Member1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INST

    public static final int INST

  The 'INST' literal value.

  If the meaning of 'INST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INST_LITERAL`, Constant Field Values

### SUBS

    public static final int SUBS

  The 'SUBS' literal value.

  If the meaning of 'SUBS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUBS_LITERAL`, Constant Field Values

### SUBY

    public static final int SUBY

  The 'SUBY' literal value.

  If the meaning of 'SUBY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUBY_LITERAL`, Constant Field Values

### INST_LITERAL

    public static final RoleClassOntologicalMember1 INST_LITERAL

  The 'INST' literal object.

  See Also:
    `INST`

### SUBS_LITERAL

    public static final RoleClassOntologicalMember1 SUBS_LITERAL

  The 'SUBS' literal object.

  See Also:
    `SUBS`

### SUBY_LITERAL

    public static final RoleClassOntologicalMember1 SUBY_LITERAL

  The 'SUBY' literal object.

  See Also:
    `SUBY`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Ontological Member1' enumerators.

Method Detail

### get

    public static RoleClassOntologicalMember1 get(java.lang.String literal)

  Returns the 'Role Class Ontological Member1' literal with the specified literal value.

### getByName

    public static RoleClassOntologicalMember1 getByName(java.lang.String name)

  Returns the 'Role Class Ontological Member1' literal with the specified name.

### get

    public static RoleClassOntologicalMember1 get(int value)

  Returns the 'Role Class Ontological Member1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD